Loading...
Searching...
No Matches
BALL::VIEW::MainControlPreferences Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/mainControlPreferences.h>`

Inheritance diagram for BALL::VIEW::MainControlPreferences:

## Public Slots

void | selectFont ()
| Get the application's default font.
void | setFont (QFont font)
| Set the application's default font.

## Public Member Functions

| MainControlPreferences (QWidget *parent=NULL, const char *name="MainControlPreferences", Qt::WindowFlags fl=0)
| Default Constructor.
virtual | ~MainControlPreferences ()
QStyle * | setStyle ()
void | enableLoggingToFile (bool state)
| Enable logging to file.
bool | loggingToFileEnabled () const
bool | getSkipDriverChecks () const
QFont | getFont ()
bool | getLanguageChanged ()
void | resetLanguageChanged ()
void | writePreferenceEntries (INIFile &inifile)
| Store the settings of all registered objects.
void | readPreferenceEntries (const INIFile &inifile)
| Restore the settings of all registered objects.
Public Member Functions inherited from BALL::VIEW::PreferencesEntry
| PreferencesEntry ()
virtual | ~PreferencesEntry ()
void | setINIFileSectionName (const String &name)
| Set the name for the section in the INIFile.
const String & | getINIFileSectionName () const
| Get the name for the section in the INIFile.
void | setWidgetStackName (const String &name)
StackPages & | getStackPages ()
| Return all pages, that are to be shown in a parent QStackedWidget.
void | setWidgetStack (QStackedWidget *stack)
virtual void | showStackPage (Position nr)
| Show the specified page in the QStackedWidget.
virtual void | showStackPage (QWidget *widget)
| Show the specified page in the QStackedWidget.
virtual Position | currentStackPage () const
| Get the currently shown page in the QStackedWidget.
virtual void | restoreDefaultValues (bool all=false)
| Set all registered objects to their default values.
virtual void | storeValues ()
virtual void | restoreValues (bool all=false)
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
virtual bool | setValueAllowed (QObject *)
| Allows to prevent restoring of widgets.

## Protected Attributes

QFont | font_
int | last_index_
Protected Attributes inherited from BALL::VIEW::PreferencesEntry
String | inifile_section_name_
HashSet< QObject * > | registered_objects_
ValueMap | default_values_
ValueMap | last_values_
QStackedWidget * | widget_stack_
StackPages | stack_pages_

## Additional Inherited Members

Public Types inherited from BALL::VIEW::PreferencesEntry
typedef std::list< std::pair< QWidget *, String > > | StackPages
Protected Types inherited from BALL::VIEW::PreferencesEntry
typedef HashMap< const QObject *, String > | ValueMap
Protected Member Functions inherited from BALL::VIEW::PreferencesEntry
void | registerWidgets_ ()
void | registerObject_ (QObject *widget)
void | unregisterObject_ (QObject *widget)
BALL_DEPRECATED void | registerWidgetForHelpSystem_ (const QWidget *, const String &)
void | restoreValues_ (bool all, const ValueMap &map)
void | insertStackEntry_ (QWidget *, const String &name)
bool | isSupported_ (QObject &widget)
bool | getValue_ (const QObject *widget, String &value)
bool | setValue_ (QObject *widget, const String &value)

## Detailed Description

MainControlPreferences is a widget that will be inserted into the tab dialog Preferences. It contains the following settings:

- the used QT style
- if DockWidget 's contain a label with their name
- if logging to a file is enabled

Definition at line 37 of file mainControlPreferences.h.

## Constructor & Destructor Documentation

## MainControlPreferences()

BALL::VIEW::MainControlPreferences::MainControlPreferences | ( | QWidget * | parent = NULL,
|  | const char * | name = "MainControlPreferences",
|  | Qt::WindowFlags | fl = 0 )

Default Constructor.

## ~MainControlPreferences()

virtual BALL::VIEW::MainControlPreferences::~MainControlPreferences | ( |  | ) |

virtual

## Member Function Documentation

## enableLoggingToFile()

void BALL::VIEW::MainControlPreferences::enableLoggingToFile | ( | bool | state | ) |

Enable logging to file.

## getFont()

QFont BALL::VIEW::MainControlPreferences::getFont | ( |  | ) |

## getLanguageChanged()

bool BALL::VIEW::MainControlPreferences::getLanguageChanged | ( |  | ) |

inline

Definition at line 72 of file mainControlPreferences.h.

## getSkipDriverChecks()

bool BALL::VIEW::MainControlPreferences::getSkipDriverChecks | ( |  | ) | const

## loggingToFileEnabled()

bool BALL::VIEW::MainControlPreferences::loggingToFileEnabled | ( |  | ) | const

## readPreferenceEntries()

void BALL::VIEW::MainControlPreferences::readPreferenceEntries | ( | const INIFile & | inifile | ) |

virtual

Restore the settings of all registered objects.

Reimplemented from BALL::VIEW::PreferencesEntry.

## resetLanguageChanged()

void BALL::VIEW::MainControlPreferences::resetLanguageChanged | ( |  | ) |

inline

Definition at line 76 of file mainControlPreferences.h.

## selectFont

void BALL::VIEW::MainControlPreferences::selectFont | ( |  | ) |

slot

Get the application's default font.

## setFont

void BALL::VIEW::MainControlPreferences::setFont | ( | QFont | font | ) |

slot

Set the application's default font.

## setStyle()

QStyle * BALL::VIEW::MainControlPreferences::setStyle | ( |  | ) |

Inspection of the selected style. This method will be called from MainControl::applyPreferences().

Returns
  QStyle* a pointer to the selected style. (See documentation of QT-library for information concerning styles)

## writePreferenceEntries()

void BALL::VIEW::MainControlPreferences::writePreferenceEntries | ( | INIFile & | inifile | ) |

virtual

Store the settings of all registered objects.

Reimplemented from BALL::VIEW::PreferencesEntry.

## Member Data Documentation

## font_

QFont BALL::VIEW::MainControlPreferences::font_

protected

Definition at line 96 of file mainControlPreferences.h.

## last_index_

int BALL::VIEW::MainControlPreferences::last_index_

protected

Definition at line 97 of file mainControlPreferences.h.